<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Activity-a</title>
  </head>
  <body>
    <p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
    <hr>
    <h1>Software Engineering Code of Ethics and Professional Practice</h1>
    <h3>IIEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
    <hr>
    <p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>
    <h3>PREAMBLE</h3>
    <p>
      The short version of the code summarizes aspirations at a high level of abstraction. The
      clauses that are included in the full version give examples and details of how these aspirations
      change the way we act <br>as software engineering professionals. Without aspirations, the details can
      become legalistic and tedious; without the details, the aspirations can become high-sounding button
      empty; together, the aspirations <br> and the details form a cohesive code.
    </p>
    <p>
      Software engineers shall commit themselves to making the analysis, specification, design, development, testing,
      and maintenance of softawre a beneficial and respected profession. In accordance with their <br> commitment to the health,
      safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
    </p>
    <h3>PRINCIPLES</h3>
    <ol>
      <li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
      <li><em>Client and employer.</em> Software engineers shall act in the manner that is in the best interest of their client and employer, consistent with the public interest.</li>
      <li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
      <li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
      <li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
      <li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
      <li><em>Colleauges.</em> Software engineers shall be fair to and supportive of their colleauges.</li>
      <li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
    </ol>
  </body>
</html>
